package com.ruoyi.ibs.grid.domain.dto;

import com.ruoyi.common.core.domain.entity.SysDept;

import java.util.List;

public class GridDeptNumSelect {

    /** 登入用户所在总行机构id */
    private Long userDeprId;

    /** 登入用户所在总行机构名称 */
    private String userDeptName;

    /** 查询网格类型 */
    private String gridPattern;

    /** 支行数量 */
    private Long branchNum;

    /** 网点数量 */
    private Long outletNum;

    /** 一级网格数量 */
    private Long topGridNum;

    /** 二级网格数量 */
    private Long secGridNum;

    /** 虚拟网格数量 */
    private Long virtuaGridNum;

    /** 零售客户数量 */
    private Long retailNum;

    /** 商户数量 */
    private Long retailBusinessNum;

    /** 企业数量 */
    private Long BusinessNum;

    /** 归属部门 */
    private List<SysDept> DeptInfoList;

    public Long getUserDeprId() {
        return userDeprId;
    }

    public void setUserDeprId(Long userDeprId) {
        this.userDeprId = userDeprId;
    }

    public String getUserDeptName() {
        return userDeptName;
    }

    public void setUserDeptName(String userDeptName) {
        this.userDeptName = userDeptName;
    }

    public String getGridPattern() {
        return gridPattern;
    }

    public void setGridPattern(String gridPattern) {
        this.gridPattern = gridPattern;
    }

    public Long getBranchNum() {
        return branchNum;
    }

    public void setBranchNum(Long branchNum) {
        this.branchNum = branchNum;
    }

    public Long getOutletNum() {
        return outletNum;
    }

    public void setOutletNum(Long outletNum) {
        this.outletNum = outletNum;
    }

    public Long getTopGridNum() {
        return topGridNum;
    }

    public void setTopGridNum(Long topGridNum) {
        this.topGridNum = topGridNum;
    }

    public Long getSecGridNum() {
        return secGridNum;
    }

    public void setSecGridNum(Long secGridNum) {
        this.secGridNum = secGridNum;
    }

    public Long getVirtuaGridNum() {
        return virtuaGridNum;
    }

    public void setVirtuaGridNum(Long virtuaGridNum) {
        this.virtuaGridNum = virtuaGridNum;
    }

    public Long getRetailNum() {
        return retailNum;
    }

    public void setRetailNum(Long retailNum) {
        this.retailNum = retailNum;
    }

    public Long getRetailBusinessNum() {
        return retailBusinessNum;
    }

    public void setRetailBusinessNum(Long retailBusinessNum) {
        this.retailBusinessNum = retailBusinessNum;
    }

    public Long getBusinessNum() {
        return BusinessNum;
    }

    public void setBusinessNum(Long businessNum) {
        BusinessNum = businessNum;
    }

    public List<SysDept> getDeptInfoList() {
        return DeptInfoList;
    }

    public void setDeptInfoList(List<SysDept> deptInfoList) {
        DeptInfoList = deptInfoList;
    }

    @Override
    public String toString() {
        return "GridDeptNumSelect{" +
                "userDeprId=" + userDeprId +
                ", userDeptName='" + userDeptName + '\'' +
                ", branchNum=" + branchNum +
                ", gridPattern=" + gridPattern +
                ", outletNum=" + outletNum +
                ", topGridNum=" + topGridNum +
                ", secGridNum=" + secGridNum +
                ", virtuaGridNum=" + virtuaGridNum +
                ", retailNum=" + retailNum +
                ", retailBusinessNum=" + retailBusinessNum +
                ", BusinessNum=" + BusinessNum +
                ", DeptInfoList=" + DeptInfoList +
                '}';
    }
}
